# $Id: smeserver-fetchmail.spec,v 1.7 2016/03/22 10:33:52 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: sme module to generate fetchmail poll
%define name smeserver-fetchmail
Name: %{name}
%define version 1.4
%define release 7 
%define smepanel FetchMails
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tgz
Patch0: smeserver-fetchmail-1.4-locale-2013-07-14.patch
Patch1: smeserver-fetchmail-1.4.non_standard_smtpd_TCPPort.patch
Patch2: smeserver-fetchmail-1.4.Recovery_of_large_attachments_with_fetchmail.patch
Patch3: smeserver-fetchmail_add_sslfingerprint.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-release >= 8.0
Requires: e-smith-email >= 4.16.0-18
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03
Obsoletes: sme-fetchmail
Obsoletes: smeserver-fetchmail-utf8
AutoReqProv: no

%changelog
* Tue Mar 22 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.4-7.sme
- NFR: sslfingerprint option for german providers  [SME: 8287]
- code from Pascal SCHIRRMANN, patch from Stephane de Labrusse

* Fri Feb 06 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4-6.sme
- Add settings if smtpd TCPPort set to a non default value
- [sme: 8836]

* Mon Jan 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4-4.sme
- recovery large attachments with fetchmail [SME: 8630]

* Mon Jan 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.4-3.sme
- Add settings if smtpd TCPPort set to a non default value [sme: 8796]
- code done by ecureuil <gentil_ecureuil@hotmail.com>

* Sun Jul 14 2013 JP Pialasse <tests@pialasse.com> 1.4-2.sme
- apply locale 2013-07-14 patch

* Sun Jun 3 2012 JP PIALASSE tests@pialasse.com  1.4-1.sme
- Initial version

%description
sme server enhancement to make fetchmail more useable

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl createlinks
echo "%{version}-%{release}" >root/etc/e-smith/db/configuration/defaults/%{smepanel}/version

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
